import { SimpleLocalIntegration } from '../../core/index.js';
import { BtHomeHub5ConfigFlow } from './bt_home_hub_5.classes.configflow.js';
import { createBtHomeHub5DiscoveryDescriptor } from './bt_home_hub_5.discovery.js';
import type { IBtHomeHub5Config } from './bt_home_hub_5.types.js';
import { btHomeHub5Domain, btHomeHub5Profile } from './bt_home_hub_5.types.js';

export class BtHomeHub5Integration extends SimpleLocalIntegration<IBtHomeHub5Config> {
  public readonly domain = btHomeHub5Domain;
  public readonly discoveryDescriptor = createBtHomeHub5DiscoveryDescriptor();
  public readonly configFlow = new BtHomeHub5ConfigFlow();

  constructor() {
    super(btHomeHub5Profile);
  }
}

export class HomeAssistantBtHomeHub5Integration extends BtHomeHub5Integration {}
